{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"CompanySignatory":{"description":"Roaring Apps company signatory in a lookup. list contains all possible fields returned","properties":{"changeDate":{"description":"Date for when the record was last changed","type":"string"},"companyId":{"description":"Company identifier (company registration number / organization number)","type":"string"},"companySignatory":{"description":"Signatory for the company","type":"string"}},"type":"object"},"CompanySignatoryMulti":{"description":"Multiple companies signatories result","properties":{"records":{"description":"found company signatories","items":{"$ref":"#/components/schemas/CompanySignatory"},"type":"array"},"responseInfo":{"$ref":"#/components/schemas/ResponseInfo"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"CompanySignatoryResult":{"description":"Company signatory lookup result","properties":{"records":{"description":"found company signatories","items":{"$ref":"#/components/schemas/CompanySignatory"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"MultiCompanyRequest":{"description":"Multiple companies ids request","properties":{"companyIds":{"description":"array of company id","items":{"description":"array of company id","type":"string"},"type":"array"},"requestKey":{"description":"cache key for companies id-s in sandbox","type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"ResponseInfo":{"description":"Multiple response information","properties":{"hitCount":{"description":"Number of companyIds in response (companyIds that could be found)","format":"int32","type":"integer"},"noMatchIds":{"description":"Array of companyIds that was in request but could not be matched","items":{"description":"Array of companyIds that was in request but could not be matched","type":"string"},"type":"array"},"requestCount":{"description":"Number of requested companyIds","format":"int32","type":"integer"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Signatory list that contains the complete signatory text from the National Companies Registration Office. The API is often used to check who has the right to sign before entering an agreement with a customer or supplier.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Signatory","version":"2.0","x-logo":{"url":"https://assets.roaring.io/svg/signatory-icon-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"It supports date parameter to find signatory up to date","operationId":"view","parameters":[{"description":"Company identification for the company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanySignatoryResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Get signatory of company","tags":["Signatory"]}},"/history/{companyId}":{"get":{"description":"Changes of the company's signatory within specified date range. The range includes \"fromDate\" and excludes \"toDate\".","operationId":"historyCompany","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"beginning of the date range (including), iso 8601 format","in":"query","name":"fromDate","schema":{"type":"string"}},{"description":"ending of the date range (excluding), iso 8601 format","in":"query","name":"toDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanySignatoryResult"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find history signatory by company id","tags":["Signatory"]}},"/":{"post":{"description":"It supports date parameter to find signatories up to date","operationId":"getCompanyOverviewList","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiCompanyRequest"}}},"description":"request body with companies identifiers to lookup","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanySignatoryMulti"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Get signatory of multiple companies","tags":["Signatory"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/company/signatory/2.0"}],"x-category":"company","x-countries":["se"],"x-id":"Signatory","x-locale-dk":{"description":"Underskrivelsesliste, der indeholder den komplette underskrivende tekst fra det svenske nationale selskabsregistreringskontor.","name":"Underskrivende tekst"},"x-locale-en":{"description":"Signatory list that contains the complete signatory text from the Swedish National Companies Registration Office.","name":"Signatory Text"},"x-locale-no":{"description":"Inneholder den fullstendige teksten fra det svenske selskapets registreringskontor om hvem som signerer et selskap i et selskap.","name":"Signaturrett Tekst"},"x-locale-sv":{"description":"Innehåller den kompletta texten från Bolagsverket om vem som tecknar firma i ett bolag.","name":"Firmatecknare text"},"x-logo":{"url":"https://roaring-assets.s3-eu-west-1.amazonaws.com/svg/signatory-icon.svg"}}